org.eclipse.jetty.io

## Class RuntimeIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jetty.io.RuntimeIOException

- All Implemented Interfaces:
    Serializable

      public class RuntimeIOException
      extends RuntimeException

  Subclass of `RuntimeException` used to signal that there was an `IOException` thrown by underlying `Writer`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeIOException()`
    `RuntimeIOException(String message)`
    `RuntimeIOException(String message, Throwable cause)`
    `RuntimeIOException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeIOException

          public RuntimeIOException()

    - #### RuntimeIOException

          public RuntimeIOException(String message)

    - #### RuntimeIOException

          public RuntimeIOException(Throwable cause)

    - #### RuntimeIOException

          public RuntimeIOException(String message,
                            Throwable cause)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.